@import url("https://fonts.googleapis.com/css?family=Lato&display=swap");

* {
  box-sizing: border-box;
}

body {
  font-family: "Lato", sans-serif;
  background-color: #333;
  color: #222;
  overflow-x: hidden;
  margin: 0;
}

.container {
  background-color: #fafafa;
  transform-origin: top left;
  transition: transform 0.5s linear;
  width: 100vw;
  min-height: 100vh;
  padding: 3rem;
}

.container.show-nav {
  transform: rotate(-20deg);
}

.circle-container {
  position: fixed;
  top: -6.5rem;
  left: -6.5rem;
}

.circle {
  background-color: #ff7979;
  height: 13rem;
  width: 13rem;
  border-radius: 50%;
  position: relative;
  transition: transform 0.5s linear;
}

.container.show-nav .circle {
  transform: rotate(-70deg);
}

.circle button {
  cursor: pointer;
  position: absolute;
  top: 50%;
  left: 50%;
  height: 6.5rem;
  background: transparent;
  border: 0;
  font-size: 1.5rem;
  color: #fff;
}

.circle button:focus {
  outline: none;
}

.circle button.open {
  left: 60%;
}

.circle button.close {
  top: 60%;
  transform: rotate(90deg);
  transform-origin: top left;
}

.container.show-nav + nav li {
  transform: translateX(0);
  transition-delay: 0.3s;
}

nav {
  position: fixed;
  bottom: 2.5rem;
  left: 0;
  z-index: 100;
}

nav ul {
  list-style-type: none;
  padding-left: 2rem;
}

nav ul li {
  text-transform: uppercase;
  color: #fff;
  margin: 2.5rem 0;
  transform: translateX(-100%);
  transition: transform 0.4s ease-in;
}

nav ul li i {
  font-size: 1.25rem;
  margin-right: 0.5rem;
}

nav ul li + li {
  margin-left: 1rem;
  transform: translateX(-150%);
}

nav ul li + li + li {
  margin-left: 2rem;
  transform: translateX(-200%);
}

nav a {
  color: #fafafa;
  text-decoration: none;
  transition: all 0.5s;
}

nav a:hover {
  color: #ff7979;
  font-weight: bold;
}

.content img {
  max-width: 100%;
}

.content {
  max-width: 62.5rem;
  margin: 3rem auto;
}

.content h1 {
  margin: 0;
}

.content h4 {
  color: #555;
  font-style: italic;
}

.content p {
  color: #333;
  line-height: 1.5;
}
